package state51::Job::FixBrokenFile::Action::File;
use state51::Moose;
use List::MoreUtils qw/ uniq /;

with qw/ state51::Job::FixBrokenFile::Action /;

has file => (
    isa => 'state51::File',
    is => 'ro',
    required => 1,
);

sub requests {
    my ($self) = @_;
    return uniq grep { defined $_ } map { $_->to_fulfil } grep { ref $_ } ($self->file->master_of->flatten, $self->file->my_filetransforms->flatten);
}

__PACKAGE__->meta->make_immutable;
1;

